POST api/CosEccSummary/SendNotification
Request Information
URI Parameters
None.
Body Parameters
ClearanceLetterNotificationDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| CaseNo | integer |
None. |
|
| EncounterId | integer |
None. |
|
| EmailNotificationTypeId | integer |
None. |
|
| NotificationType | string |
String length: inclusive between 0 and 250 |
|
| KeyName | string |
String length: inclusive between 0 and 250 |
|
| EmailBody | string |
String length: inclusive between 0 and 2000 |
|
| EmailSubject | string |
String length: inclusive between 0 and 1000 |
|
| EmailTo | string |
String length: inclusive between 0 and 1000 |
|
| EmailToConfig | string |
String length: inclusive between 0 and 4000 |
|
| EmailCC | string |
String length: inclusive between 0 and 1000 |
|
| EmailCCConfig | string |
String length: inclusive between 0 and 4000 |
|
| EmailBCC | string |
String length: inclusive between 0 and 200 |
|
| EmailBCCConfig | string |
String length: inclusive between 0 and 4000 |
|
| MessageQueueId | integer |
None. |
|
| ValidFlag | boolean |
None. |
|
| DateCreated | date |
None. |
|
| DateUpdated | date |
None. |
|
| UserIDCreated | integer |
None. |
|
| UserIDUpdated | integer |
None. |
|
| CompanyCode | string |
String length: inclusive between 0 and 10 |
|
| IsExcludeDiscount | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"Id": 1,
"CaseNo": 2,
"EncounterId": 1,
"EmailNotificationTypeId": 3,
"NotificationType": "sample string 4",
"KeyName": "sample string 5",
"EmailBody": "sample string 6",
"EmailSubject": "sample string 7",
"EmailTo": "sample string 8",
"EmailToConfig": "sample string 9",
"EmailCC": "sample string 10",
"EmailCCConfig": "sample string 11",
"EmailBCC": "sample string 12",
"EmailBCCConfig": "sample string 13",
"MessageQueueId": 14,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:26:02.9592236-07:00",
"DateUpdated": "2026-08-04T14:26:02.9592236-07:00",
"UserIDCreated": 18,
"UserIDUpdated": 19,
"CompanyCode": "sample string 20",
"IsExcludeDiscount": true
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfClearanceLetterNotificationDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | ClearanceLetterNotificationDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"Id": 1,
"CaseNo": 2,
"EncounterId": 1,
"EmailNotificationTypeId": 3,
"NotificationType": "sample string 4",
"KeyName": "sample string 5",
"EmailBody": "sample string 6",
"EmailSubject": "sample string 7",
"EmailTo": "sample string 8",
"EmailToConfig": "sample string 9",
"EmailCC": "sample string 10",
"EmailCCConfig": "sample string 11",
"EmailBCC": "sample string 12",
"EmailBCCConfig": "sample string 13",
"MessageQueueId": 14,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:26:02.9592236-07:00",
"DateUpdated": "2026-08-04T14:26:02.9592236-07:00",
"UserIDCreated": 18,
"UserIDUpdated": 19,
"CompanyCode": "sample string 20",
"IsExcludeDiscount": true
},
"totalCount": 3
}